using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebCombo1.DataSource = this.GetDepartments();
        this.WebCombo1.DataTextField = "DepartmentName";
        this.WebCombo1.DataValueField = "DepartmentName";
        this.WebCombo1.DataBind();
        this.WebCombo1.Columns.FromKey("DepartmentID").Hidden = true;
        this.WebCombo1.DataValue = "Department 3";
    }

    private DataTable GetDepartments()
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));

        for (int i = 0; i < 8; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i) });
        }

        return dt;
    }
}
